Bug 208027 - gnome-mount with hfsplus CD does not mount, kills CD icon and more
Summary: gnome-mount with hfsplus CD does not mount, kills CD icon and more
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-mount   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-25 21:36 UTC by Michal Jaegermann
Modified: 2013-03-06 03:47 UTC (History)
1 user (show)

Fixed In Version: 0.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 20:15:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2006-09-25 21:36:05 UTC
Description of problem:

With hfplus CD, written on Mac OSX, I can do (at least as root)

   mount -r /dev/cdrom /some/mount/point

and that disk mounts without any problems or fuss.

If I will insert the same CD in a drive while logged to a desktop
there is quite a lot of activity on a drive going on which eventually
ends up with "Cannot mount volume" alert.  Moreover at this moment
also a CD icon vanishes from "Computer" window and ejecting this
CD, even followed by attempts to "Reload", does not make that icon
to show up again.

Logging out in this moment from the account, and logging back in,
restores the icon but if you will try to use its menu to "Eject"
you will see "There is probably no media in a drive" alert.  Quite
confusing to an unsuspecting user.  Running 'eject' from a command
line has no problems to eject the CD in question now or before.

There is another method to restore that icon, though.  Namely eject
that CD, insert another one with iso9660 filesystem on it, wait until
it succesfully mounts even if "Computer" does not show that such
device is there, eject it and the icon in question is back.

Nothing relevant in logs as far as I can see.

Version-Release number of selected component (if applicable):
gnome-mount-0.4.0.2006.07.24-1.fc6

How reproducible:
always

Comment 1 David Zeuthen 2006-09-26 20:08:05 UTC
Btw, this should be fixed with the hal 0.5.8 and gnome-mount 0.5 packages
mentioned in bug 207715. The issue here was that Apple has a partition table
(Apple Partition Map) at the optical disc so our normal file system probing code
din't find anything.


Comment 2 Michal Jaegermann 2006-09-26 21:06:19 UTC
> Btw, this should be fixed with the hal 0.5.8 and gnome-mount 0.5

Indeed. With hal and gnome-mount recompiled from yours current
sources hfsplus CD is handled the same way like iso9660 ones.
So this will be for closing once packages will hit rawhide.
Thanks.

Comment 3 David Zeuthen 2006-09-27 20:15:51 UTC
Should be fixed in 0.5.8.1-2 and gnome-mount 0.5-2 (will hit rawhide tomorrow)
otherwise please reopen.


Note You need to log in before you can comment on or make changes to this bug.